﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define up_down = Move((0, 5), (0, -5), .50, bounce=True, repeat=False, delay=.275)

define i = Character("Tano", ctc="ctc_blink" ,what_prefix='"', what_suffix='"')
define a = Character("Amaryllis", ctc="ctc_blink" ,what_prefix='"', what_suffix='"')
define au = Character("Amaryllis", ctc="ctc_blink" ,what_prefix="(", what_suffix=")")
define u = Character("〈？〉", ctc="ctc_blink" ,what_prefix='"', what_suffix='"')
define uu = Character("〈？〉", ctc="ctc_blink" ,what_prefix="(", what_suffix=")")
define boy_a = Character("Boy A", ctc="ctc_blink" ,what_prefix='"', what_suffix='"')
define girl_a = Character("Girl A", ctc="ctc_blink" ,what_prefix='"', what_suffix='"')
define girl_b = Character("Girl B", ctc="ctc_blink" ,what_prefix='"', what_suffix='"')
define girl_c = Character("Girl C", ctc="ctc_blink" ,what_prefix='"', what_suffix='"')
define h = Character(ctc="ctc_blink")

transform blur(child):
    contains:
        child
        alpha 1.0
    contains:
        child
        alpha 0.2 xoffset -2
    contains:
        child
        alpha 0.2 xoffset 2
    contains:
        child
        alpha 0.2 yoffset -2
    contains:
        child
        alpha 0.2 yoffset 2

transform zoom_blur(child):
    contains:
        child
        alpha 1.0
    contains:
        child
        alpha 0.2 zoom 1.015
    contains:
        child
        alpha 0.2 zoom 1.010
    contains:
        child
        alpha 0.2 zoom 0.995
    contains:
        child
        alpha 0.2 zoom 0.990

image white = "white.jpg"

image ctc_blink:
    subpixel True
    xpos 0.1 ypos 0.3
    "images/1.png"
    rotate 0 zoom 0.8 alpha 0.3
    linear 1.5 rotate 180
    linear 1.0 rotate 360
    repeat

transform fadeInUp:
    on show:
        alpha 0.0 xpos 0.6
        linear 0.5 alpha 1.0 xpos 0.5
    on hide:
        linear 0.5 alpha 0.0 xpos 0.6

image hoi = "hoi.png"
image tcg1 = "tcg1.png"
image tcg2 = "tcg2.png"
image tcg3 = "tcg3.png"
image bg1 = "bg2.jpg"
image bg2 = "bg3.jpg"
image bg3 = "bg3.png"
image bg4 = "bg4.jpg"
image bg5 = "bg5.jpg"
image bg5 dusk = "bg5_2.jpg"
image cg1:
    "cg1.png"
    ypos 1.0
    zoom 0.67

image cg1 go:
    "cg1_2.png"
    ypos 1.0
    zoom 0.67

image cg2:
    "cg2.png"
    ypos 1.0
    zoom 0.67

image cg2 go:
    "cg2_2.png"
    ypos 1.0
    zoom 0.67

image cg3:
    "cg3.png"
    ypos 1.0
    zoom 0.67

image cg3 go:
    "cg3_2.png"
    ypos 1.0
    zoom 0.67

image m1:
    "images/m1.png"
    ypos 1.0
    zoom 0.67

image m1 happy:
    "images/m1_2.png"
    ypos 1.0
    zoom 0.67

image m1 talking:
    "images/m1_3.png"
    ypos 1.0
    zoom 0.67

image m1 mute:
    "images/m1_4.png"
    ypos 1.0
    zoom 0.67

image m1 dark = im.MatrixColor(
    "images/m1_5.png",
    im.matrix.brightness(-0.1))

image m3:
    "images/m3.png"
    ypos 1.0
    zoom 0.67

image m3 happy:
    "images/m3_2.png"
    ypos 1.0
    zoom 0.67

image m3 talking:
    "images/m3_3.png"
    ypos 1.0
    zoom 0.67

image m3 mute:
    "images/m3_4.png"
    ypos 1.0
    zoom 0.67

image m2:
    "images/m2.png"
    ypos 1.0
    zoom 0.67

image frame = "images/frame.jpg"
image credits = "images/credits.jpg"


screen daily_choice():
    frame:
        xalign 0.5 ypos 50
        vbox:
            text "dsaddsda"
            textbutton "Done":
                action Return(True)

label splashscreen:
    scene black
    with Pause(1)
    show hoi with dissolve
    play sound "sounds/dong.wav"
    with Pause(1.5)

    return



# The game starts here.

label start:
    stop music
    stop sound
    call s00 from _call_s00
    call s01 from _call_s01
    call s02 from _call_s02
    call s03 from _call_s03


    return
